# norootforbuild

%define soname 14

Name:			libtorrent
Version:		0.12.9
Release:                1.1
Summary:		BitTorrent Library
Source:			http://libtorrent.rakshasa.no/downloads/libtorrent-%{version}.tar.gz
Patch1:                 libtorrent-add_missing_lphtread.patch
URL:			http://libtorrent.rakshasa.no/
Group:			System/Libraries
License:		GNU General Public License version 2 (GPL v2)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	        openssl-devel
BuildRequires:	        libsigc++2-devel gcc-c++ libstdc++-devel
BuildRequires:          cppunit-devel
BuildRequires:	        pkgconfig glibc-devel make
BuildRequires:        	autoconf automake libtool

%description
LibTorrent is a BitTorrent library written in C++ for *nix, with a focus on  
high performance and good code. The library differentiates itself from other  
implementations by transfering directly from file pages to the network stack.  
On high-bandwidth connections it is able to seed at 3 times the speed of the  
official client.  

%package -n libtorrent%{soname}
Summary:		BitTorrent Library
Group:			System/Libraries

%description -n libtorrent%{soname}
LibTorrent is a BitTorrent library written in C++ for *nix, with a focus on  
high performance and good code. The library differentiates itself from other  
implementations by transfering directly from file pages to the network stack.  
On high-bandwidth connections it is able to seed at 3 times the speed of the  
official client.  




Authors:  
---------  
    Jari Sundell <jaris@ifi.uio.no>  

%package -n libtorrent-devel
Summary:		Development Environment for %{name}
Group:			Development/Libraries/C and C++
Requires:		libtorrent%{soname} = %{version}-%{release}
%if %suse_version >= 1030
Requires:		libopenssl-devel
%else
Requires:		openssl-devel
%endif
Requires:	    libsigc++2-devel libstdc++-devel
Provides:		libtorrent%{soname}-devel = %{version}-%{release}

%description -n libtorrent-devel
LibTorrent is a BitTorrent library written in C++ for *nix, with a focus on  
high performance and good code. The library differentiates itself from other  
implementations by transfering directly from file pages to the network stack.  
On high-bandwidth connections it is able to seed at 3 times the speed of the  
official client.  
  
This package holds the development files for libtorrent.  




Authors:  
---------  
    Jari Sundell <jaris@ifi.uio.no>  


%prep
%setup -q -n "libtorrent-%{version}"
%patch1

%build
export CPPFLAGS="%{optflags} -fno-strict-aliasing"

[ -e ./configure ] || NOCONFIGURE=1 ./autogen.sh
%configure \
    --enable-ipv6 \
    --with-epoll

%if 0%{?suse_version} >= 1120 && "%{_lib}" == "lib64" || 0%{?suse_version} > 1120
cat<<EOF >>config.h
#define HAVE_FALLOCATE 1
#if defined(USE_POSIX_FALLOCATE)
#undef USE_POSIX_FALLOCATE
#endif
EOF
%else
cat<<EOF >>config.h
#define USE_POSIX_FALLOCATE 1
#if defined(HAVE_FALLOCATE)
#undef HAVE_FALLOCATE
#endif
EOF
%endif

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}"/*.la

%post   -n libtorrent%{soname} -p /sbin/ldconfig
%postun -n libtorrent%{soname} -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files -n libtorrent%{soname}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libtorrent.so.%{soname}
%{_libdir}/libtorrent.so.%{soname}.*.*

%files -n libtorrent-devel
%defattr(-,root,root)
%dir %{_includedir}/torrent
%{_libdir}/libtorrent.so
%{_libdir}/pkgconfig/libtorrent.pc
%{_includedir}/torrent/bitfield.h
%{_includedir}/torrent/chunk_manager.h
%{_includedir}/torrent/common.h
%{_includedir}/torrent/connection_manager.h
%{_includedir}/torrent/data/block.h
%{_includedir}/torrent/data/block_list.h
%{_includedir}/torrent/data/block_transfer.h
%{_includedir}/torrent/data/chunk_utils.h
%{_includedir}/torrent/data/file.h
%{_includedir}/torrent/data/file_list.h
%{_includedir}/torrent/data/file_list_iterator.h
%{_includedir}/torrent/data/file_manager.h
%{_includedir}/torrent/data/file_utils.h
%{_includedir}/torrent/data/piece.h
%{_includedir}/torrent/data/transfer_list.h
%{_includedir}/torrent/dht_manager.h
%{_includedir}/torrent/download.h
%{_includedir}/torrent/download/choke_group.h
%{_includedir}/torrent/download/choke_queue.h
%{_includedir}/torrent/download/download_manager.h
%{_includedir}/torrent/download/resource_manager.h
%{_includedir}/torrent/download_info.h
%{_includedir}/torrent/error.h
%{_includedir}/torrent/event.h
%{_includedir}/torrent/exceptions.h
%{_includedir}/torrent/hash_string.h
%{_includedir}/torrent/http.h
%{_includedir}/torrent/object.h
%{_includedir}/torrent/object_raw_bencode.h
%{_includedir}/torrent/object_static_map.h
%{_includedir}/torrent/object_stream.h
%{_includedir}/torrent/path.h
%{_includedir}/torrent/peer/choke_status.h
%{_includedir}/torrent/peer/client_info.h
%{_includedir}/torrent/peer/client_list.h
%{_includedir}/torrent/peer/connection_list.h
%{_includedir}/torrent/peer/peer.h
%{_includedir}/torrent/peer/peer_info.h
%{_includedir}/torrent/peer/peer_list.h
%{_includedir}/torrent/poll.h
%{_includedir}/torrent/poll_epoll.h
%{_includedir}/torrent/poll_kqueue.h
%{_includedir}/torrent/poll_select.h
%{_includedir}/torrent/rate.h
%{_includedir}/torrent/thread_base.h
%{_includedir}/torrent/throttle.h
%{_includedir}/torrent/torrent.h
%{_includedir}/torrent/tracker.h
%{_includedir}/torrent/tracker_list.h
%{_includedir}/torrent/utils/extents.h
%{_includedir}/torrent/utils/log_files.h
%{_includedir}/torrent/utils/option_strings.h
%{_includedir}/torrent/utils/resume.h
%dir %{_includedir}/torrent/data
%dir %{_includedir}/torrent/download
%dir %{_includedir}/torrent/peer
%dir %{_includedir}/torrent/utils

%changelog
* Wed Mar  7 2012 p.seiler@linuxmail.org
- readded release because of this erroer:
  + exec rpmbuild -ba --define '_srcdefattr (-,root,root)' --define 'disturl obs://10.8.0.1/home:phils3r:branches:Multimedia/openSUSE_11.4/d4220807753d041e5689891b720509a9-libtorrent' /usr/src/packages/SOURCES/libtorrent.spec
  error: Release field must be present in package: (main package)
* Wed Mar  7 2012 p.seiler@linuxmail.org
- updated to current stable 0.12.9
- removed obsolete 10.x dependencies because of rpmlinterrors
- cleaned up the spec file a bit
  * TODO: remove incorrect fsf address in most of the *.h Header files and COPYING file
* Mon May  3 2010 pascal@links2linux.de
- update to SVN revision 1169:
  * redirects can now be made efficiently using rpc::CommandMap::create_redirect or "methods.redirect=new_key,dest_key"
  * added a missing READ_PORT case to a switch in handshake.cc
* Sat Mar 27 2010 pascal@links2linux.de
- update to SVN revision 1154
* Thu Mar 18 2010 pascal@links2linux.de
- add missing -lpthread in libtorrent.pc to fix build on <= 11.0
* Thu Mar 18 2010 pascal@links2linux.de
- don't use fallocate64 on 11.2 32bit, as it's not properly exported
  in glibc 2.10, use posix_fallocate instead
* Wed Mar 17 2010 pascal@links2linux.de
- update to SVN revision 1148 (0.12.6):
  * upstream magnet URI support, dropped patches
  * SONAME bumped from 11 to 13
* Fri Dec 11 2009 pascal.bleser@opensuse.org
- update to SVN revision 1110 (pre 0.12.6)
- add magnet URI support patches
* Tue Sep 29 2009 pascal.bleser@opensuse.org
- update to 0.12.5
* Mon Sep 28 2009 pascal.bleser@opensuse.org
- enable XMLRPC support
- minor spec file rewrite to use a %%%%soname macro
- pass -fno-strict-aliasing to build
- fix build on Factory
- remove .la file from -devel package
* Mon Nov 24 2008 guru@unixtech.be
- update to 0.12.4
* Tue Nov 11 2008 guru@unixtech.be
- dropped GCC 4.3 patch, merged upstream
- bumped SONAME to 11
- update to 0.12.3
* Mon Jul 21 2008 guru@unixtech.be
- moved to Packman repository
- new upstream version, revived
* Sun Apr  9 2006 guru@unixtech.be
- new upstream version
* Tue Feb 21 2006 guru@unixtech.be
- new upstream version
* Thu Sep  8 2005 guru@unixtech.be
- version 0.7.0-1
* Sat Apr 23 2005 guru@unixtech.be
- version 0.6.0
* Sat Mar 19 2005 guru@unixtech.be
- version 0.5.4
* Thu Mar  3 2005 guru@unixtech.be
- new package
